import { Injectable } from '@angular/core';
import 'rxjs/add/operator/map';
import { Http } from '@angular/http';

@Injectable()
export class DataService {

  constructor(private http:Http) { }

  getShowAll(){
    return this.http.get('/api/show').map(res=>res.json().message);
  }

  getCoffee(){
    return this.http.get('/api/show/coffee').map(res=>res.json().message);
  }

  getMilk(){
    return this.http.get('/api/show/milk').map(res=>res.json().message);
  }

  getFood(){
    return this.http.get('/api/show/food').map(res=>res.json().message);
  }

  getCake(){
    return this.http.get('/api/show/cake').map(res=>res.json().message);
  }

  getDrink(){
    return this.http.get('/api/show/drink').map(res=>res.json().message);
  }

  addCoffee(u:string, n:string,p:string){
    const data = {username : u,name : n,price : p};
    return this.http.post('/api/add/coffee', data).map(res=>res.json().message); 
  }

  addMilk(u:string, n:string,p:string){
    const data = {username : u,name : n,price : p};
    return this.http.post('/api/add/milk', data).map(res=>res.json().message); 
  }

  addFood(u:string, n:string,p:string){
    const data = {username : u,name : n,price : p};
    return this.http.post('/api/add/food', data).map(res=>res.json().message); 
  }

  addCake(u:string, n:string,p:string){
    const data = {username : u,name : n,price : p};
    return this.http.post('/api/add/cake', data).map(res=>res.json().message); 
  }

  addDrink(u:string, n:string,p:string){
    const data = {username : u,name : n,price : p};
    return this.http.post('/api/add/drink', data).map(res=>res.json().message); 
  }


  addUserPass(user:string, pass:string){
    const data = {username : user,password : pass};
    return this.http.post('/api/add', data).map(res=>res.json().message); 
  }

  deleteCoffee(username:string){
    return this.http.delete('/api/delete/coffee/'+username).map(res=>res.json().message);
  }

  deleteFood(username:string){
    return this.http.delete('/api/delete/food/'+username).map(res=>res.json().message);
  }

  deleteCake(username:string){
    return this.http.delete('/api/delete/cake/'+username).map(res=>res.json().message);
  }

  deleteDrink(username:string){
    return this.http.delete('/api/delete/drink/'+username).map(res=>res.json().message);
  }

  deleteMilk(username:string){
    return this.http.delete('/api/delete/milk/'+username).map(res=>res.json().message);
  }

  deleteCourses(courses:string){
    return this.http.delete('/api/delete/'+courses).map(res=>res.json().message);
  }
}
